For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fields

Listar Campos de Tabela

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: order
dirstringOpcionalDefault: desc
Respostas
200

Fields listed

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/tables/{tableId}/fields
GET /api/b2b/tables/{tableId}/fields HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "table_id": "text",
      "database_field_id": "text",
      "name": "text",
      "title": "text",
      "order": 1,
      "type": "TIME",
      "mask": "DATE_TIME",
      "field_type": "DATABASE_FIELD"
    }
  ]
}

Criar Campo de Tabela

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

Corpo
namestringObrigatório
titlestringObrigatório
table_idstringObrigatório
database_field_idstringOpcional
typestring · enumObrigatórioValores possíveis:
maskstring · enumOpcionalValores possíveis:
aggregatestring · enumOpcionalValores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
Respostas
201

Criado

application/json
idstringOpcional
titlestringOpcional
namestringOpcional
orderinteger · int32Opcional
table_idstringOpcional
database_field_idstringOpcional
typestring · enumObrigatórioValores possíveis:
rulestring · enumOpcionalValores possíveis:
aggregatestring · enumOpcionalValores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
post/tables/{tableId}/fields
POST /api/b2b/tables/{tableId}/fields HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 235

{
  "name": "text",
  "title": "text",
  "table_id": "text",
  "database_field_id": "text",
  "type": "TIME",
  "mask": "DATE_TIME",
  "aggregate": "SUM",
  "visible": true,
  "enable_sorting": true,
  "enable_search": true,
  "use_as_status": true,
  "field_type": "DATABASE_FIELD"
}
{
  "id": "text",
  "title": "text",
  "name": "text",
  "order": 1,
  "table_id": "text",
  "database_field_id": "text",
  "type": "TIME",
  "rule": "DATE_TIME",
  "aggregate": "SUM",
  "visible": true,
  "enable_sorting": true,
  "enable_search": true,
  "use_as_status": true,
  "field_type": "DATABASE_FIELD",
  "options": [
    {
      "id": "text",
      "value": "text",
      "description": "text",
      "color": "text",
      "order": 1
    }
  ]
}

Atualizar/Criar/Excluir Campos de Tabela

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

Corpoobject · UpdateTableFieldListRequest[]
idstringOpcional
namestringObrigatório
titlestringObrigatório
table_idstringObrigatório
database_field_idstringOpcional
typestring · enumObrigatório

Tipo do campo

Valores possíveis:
maskstring · enumOpcional

Máscara do campo

Valores possíveis:
aggregatestring · enumObrigatório

Agregado do campo

Valores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
Respostas
200

OK

application/json
idstringOpcional
titlestringOpcional
namestringOpcional
orderinteger · int32Opcional
table_idstringOpcional
database_field_idstringOpcional
typestring · enumObrigatórioValores possíveis:
rulestring · enumOpcionalValores possíveis:
aggregatestring · enumOpcionalValores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
put/tables/{tableId}/fields
PUT /api/b2b/tables/{tableId}/fields HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 249

[
  {
    "id": "text",
    "name": "text",
    "title": "text",
    "table_id": "text",
    "database_field_id": "text",
    "type": "TIME",
    "mask": "DATE_TIME",
    "aggregate": "SUM",
    "visible": true,
    "enable_sorting": true,
    "enable_search": true,
    "use_as_status": true,
    "field_type": "DATABASE_FIELD"
  }
]
{
  "id": "text",
  "title": "text",
  "name": "text",
  "order": 1,
  "table_id": "text",
  "database_field_id": "text",
  "type": "TIME",
  "rule": "DATE_TIME",
  "aggregate": "SUM",
  "visible": true,
  "enable_sorting": true,
  "enable_search": true,
  "use_as_status": true,
  "field_type": "DATABASE_FIELD",
  "options": [
    {
      "id": "text",
      "value": "text",
      "description": "text",
      "color": "text",
      "order": 1
    }
  ]
}

Buscar Campo de Tabela por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

fieldIdstringObrigatório

ID do campo

Respostas
200

OK

application/json
idstringOpcional
titlestringOpcional
namestringOpcional
orderinteger · int32Opcional
table_idstringOpcional
database_field_idstringOpcional
typestring · enumObrigatórioValores possíveis:
rulestring · enumOpcionalValores possíveis:
aggregatestring · enumOpcionalValores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
get/tables/{tableId}/fields/{fieldId}
GET /api/b2b/tables/{tableId}/fields/{fieldId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "title": "text",
  "name": "text",
  "order": 1,
  "table_id": "text",
  "database_field_id": "text",
  "type": "TIME",
  "rule": "DATE_TIME",
  "aggregate": "SUM",
  "visible": true,
  "enable_sorting": true,
  "enable_search": true,
  "use_as_status": true,
  "field_type": "DATABASE_FIELD",
  "options": [
    {
      "id": "text",
      "value": "text",
      "description": "text",
      "color": "text",
      "order": 1
    }
  ]
}

Atualizar Campo de Tabela

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

fieldIdstringObrigatório

ID do campo

Corpo
namestringObrigatório
titlestringObrigatório
orderinteger · int32Obrigatório
table_idstringObrigatório
database_field_idstringOpcional
typestring · enumObrigatório

Tipo do campo

Valores possíveis:
maskstring · enumOpcional

Máscara do campo

Valores possíveis:
aggregatestring · enumObrigatório

Agregado do campo

Valores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
Respostas
200

OK

application/json
idstringOpcional
titlestringOpcional
namestringOpcional
orderinteger · int32Opcional
table_idstringOpcional
database_field_idstringOpcional
typestring · enumObrigatórioValores possíveis:
rulestring · enumOpcionalValores possíveis:
aggregatestring · enumOpcionalValores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
put/tables/{tableId}/fields/{fieldId}
PUT /api/b2b/tables/{tableId}/fields/{fieldId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 245

{
  "name": "text",
  "title": "text",
  "order": 1,
  "table_id": "text",
  "database_field_id": "text",
  "type": "TIME",
  "mask": "DATE_TIME",
  "aggregate": "SUM",
  "visible": true,
  "enable_sorting": true,
  "enable_search": true,
  "use_as_status": true,
  "field_type": "DATABASE_FIELD"
}
{
  "id": "text",
  "title": "text",
  "name": "text",
  "order": 1,
  "table_id": "text",
  "database_field_id": "text",
  "type": "TIME",
  "rule": "DATE_TIME",
  "aggregate": "SUM",
  "visible": true,
  "enable_sorting": true,
  "enable_search": true,
  "use_as_status": true,
  "field_type": "DATABASE_FIELD",
  "options": [
    {
      "id": "text",
      "value": "text",
      "description": "text",
      "color": "text",
      "order": 1
    }
  ]
}

Excluir Campo de Tabela

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

fieldIdstringObrigatório

ID do campo

Respostas
204

Table field deleted successfully

Sem conteúdo

delete/tables/{tableId}/fields/{fieldId}
DELETE /api/b2b/tables/{tableId}/fields/{fieldId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo